Bug 216968 - umount.nfs and mount.nfs dumping core
umount.nfs and mount.nfs dumping core
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 17:10 EST by Terje Rosten
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-07 10:01:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
example core file (112.00 KB, application/octet-stream)
2006-11-22 17:10 EST, Terje Rosten
no flags Details

  None (edit)
Description Terje Rosten 2006-11-22 17:10:36 EST
Description of problem:

umount and umount are dumping core

$ file /core*
/core.21243: ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style,
from 'umount.nfs'
/core.2713:  ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style,
from 'mount.nfs'
/core.9257:  ELF 32-bit LSB core file Intel 80386, version 1 (SYSV), SVR4-style,
from 'mount.nfs'

-rw------- 1 root root 110592 nov 14 21:57 /core.21243
-rw------- 1 root root 114688 nov 21 14:48 /core.2713
-rw------- 1 root root 114688 nov  9 10:57 /core.9257

Version-Release number of selected component (if applicable):
$ rpm -q nfs-utils
nfs-utils-1.0.10-3.fc6
$ uname -r
2.6.18-1.2849.fc6

Doing lots of mount/umounts, the server is RHEL 4 u4 x86_64 with two
nics on the same subnet.

I also saw this on RHEL 5 Beta 1.
Comment 1 Terje Rosten 2006-11-22 17:10:36 EST
Created attachment 141955 [details]
example core file
Comment 2 Steve Dickson 2006-11-29 10:44:18 EST
'm not sure why but all I can get from the core you posted is:

Core was generated by `/sbin/mount.nfs susanne:/export-c/cluster/bin
/cluster/bin -s -o ro,nosuid,soft'.
Program terminated with signal 11, Segmentation fault.
#0  0x00bfd402 in ?? ()

So would it be possible for you to yum install nfs-utils-debuginfo and then
either  generate the core and use 'bt' command in gdb to get a stack trace:
      gdb /sbin/mount.nfs /tmp/core.<pid>
     (gdb) bt
OR
run the mount.nfs command from gdb and when it crashes, then do the use
the 'bt' command to get the stack trace:
    gdb /sbin/mount.nfs
   (gdb) run susanne:/export-c/cluster/bin /cluster/bin -s -o ro,nosuid,soft'
   (gdb) bt
Comment 3 Terje Rosten 2006-11-29 16:20:43 EST
(In reply to comment #2)
> 'm not sure why but all I can get from the core you posted is:
> 
> Core was generated by `/sbin/mount.nfs susanne:/export-c/cluster/bin
> /cluster/bin -s -o ro,nosuid,soft'.
> Program terminated with signal 11, Segmentation fault.
> #0  0x00bfd402 in ?? ()
> 
> So would it be possible for you to yum install nfs-utils-debuginfo and then
> either  generate the core and use 'bt' command in gdb to get a stack trace:
>       gdb /sbin/mount.nfs /tmp/core.<pid>
>      (gdb) bt

I am not able get any more useful information. 

Several updates to nfs-utils has been posted, you can close the bug and I will
open a new one if I see again, however both FC6 and RHEL 5 B2 behave just fine
with regards to nfs and autofs at the moment.



Note You need to log in before you can comment on or make changes to this bug.